Skip to main content
`Ctrl`+`K`

# DMGetLabelOutput

Get the output flag for a given label

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelOutput(DM dm, const char name[], PetscBool *output)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

## Output Parameter

- output - The flag for output

## See Also

DM Basics, `DM`, `DMLabel`, `DMSetLabelOutput()`, `DMCreateLabel()`, `DMHasLabel()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMGetStratumIS()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages